Author Topic: Segmentation fault  (Read 7377 times)

SystemFailure

  • Newbie
  • *
  • Posts: 7
Segmentation fault
« on: August 25, 2012, 01:51:25 PM »
When i try to open this file:

Code: [Select]
Format                                   : Matroska
Format version                           : Version 2
File size                                : 8.89 GiB
Duration                                 : 49mn 3s
Overall bit rate                         : 26.0 Mbps
Encoded date                             : UTC 2012-08-25 13:37:48
Writing application                      : mkvmerge v5.0.1 ('Es ist Sommer') built on Aug 20 2012 18:00:06
Writing library                          : libebml v1.2.2 + libmatroska v1.3.0

Video
ID                                       : 1
Format                                   : VC-1
Format profile                           : Advanced@L3
Codec ID                                 : WVC1
Codec ID/Hint                            : Microsoft
Duration                                 : 49mn 3s
Bit rate                                 : 25.4 Mbps
Width                                    : 1 920 pixels
Height                                   : 1 080 pixels
Display aspect ratio                     : 16:9
Frame rate                               : 29.970 fps
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : Interlaced
Scan order                               : Top Field First
Compression mode                         : Lossy
Bits/(Pixel*Frame)                       : 0.409
Stream size                              : 8.72 GiB (98%)
Default                                  : Yes
Forced                                   : No


I got SegmentationFault at line 0 ADM_backtrack

Avidedemux 2.5.6 (linux x64)

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6060
Re: Segmentation fault
« Reply #1 on: August 25, 2012, 02:03:15 PM »
try with avidemux 2.6 this one is more geared to HD video format. If on ubuntu you could either go for one of these
avidemux Cli/QT/GTK 2.6 64-bit deb download ubuntu 11.10
avidemux Cli/QT/GTK 2.6 64-bit deb download ubuntu 12.04 LTS
Or if other flavor of linux, try to build yourself: Compiling Avidemux 2.6.x

SystemFailure

  • Newbie
  • *
  • Posts: 7
Re: Segmentation fault
« Reply #2 on: August 25, 2012, 03:36:05 PM »
try with avidemux 2.6 this one is more geared to HD video format. If on ubuntu you could either go for one of these
avidemux Cli/QT/GTK 2.6 64-bit deb download ubuntu 11.10
avidemux Cli/QT/GTK 2.6 64-bit deb download ubuntu 12.04 LTS
Or if other flavor of linux, try to build yourself: Compiling Avidemux 2.6.x

i use gentoo, i compiled all (included filters,qt and also gtk support 2.8.8 git source) some days ago it runs but  when loading a video or try to editt video or audio configuration nothings happen :(

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6060
Re: Segmentation fault
« Reply #3 on: August 25, 2012, 03:58:20 PM »
You're using avidemux3_qt4? When video loads does it display? Try other display option in Main Menu: Edit: Preferences: tab [Video]: X11 or Xvideo?

SystemFailure

  • Newbie
  • *
  • Posts: 7
Re: Segmentation fault
« Reply #4 on: August 25, 2012, 06:10:20 PM »
You're using avidemux3_qt4? When video loads does it display? Try other display option in Main Menu: Edit: Preferences: tab [Video]: X11 or Xvideo?

Yes , i am using avidemux3_qt4 , when i load  video :

Can not fin a demuxer for ./****.mkv

Yes , i edit preferences with Xvideo

I cant configure video decoder , if try to use configure button nothing happens :(

Debug:

Code: [Select]
[ADM_jobInit]  Successfully connected to jobs database..
 Found 0 video encoder(s)
Found 1 audio encoder(s)
Found 0 format(s)

I have installed in this path /usr/local
« Last Edit: August 25, 2012, 06:15:27 PM by SystemFailure »

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10968
Re: Segmentation fault
« Reply #5 on: August 25, 2012, 07:28:03 PM »
The plugins are not installed at the right place / avidemux is not configured properly
Did you use the bootStrap script ?

SystemFailure

  • Newbie
  • *
  • Posts: 7
Re: Segmentation fault
« Reply #6 on: August 25, 2012, 08:55:26 PM »
The plugins are not installed at the right place / avidemux is not configured properly
Did you use the bootStrap script ?

Sure , i used bootstrap but i installed in /usr/local

Code: [Select]
ls -l
total 28
drwxr-xr-x 2 root root 4096 ago 25 20:03 bin
drwxr-xr-x 3 root root 4096 ago 25 20:03 include
drwxr-xr-x 2 root root 4096 ago 23 17:11 lib
drwxr-xr-x 3 root root 4096 ago 25 20:03 lib64
drwxr-xr-x 3 root root 4096 ago 25 18:17 portage
drwxr-xr-x 2 root root 4096 jun 21 04:45 sbin
drwxr-xr-x 3 root root 4096 ago 25 20:03 share

The problem is "include" folder is installed in /usr/local/include ,this folder is not in path and neither   /usr/local/share i can install it in /usr but the problem is uninstall it because the bash script cant do it and gentoo use portage for do it and we havent  2.6 ebuild .

Edit: Installing manually work fine
« Last Edit: August 25, 2012, 09:57:50 PM by SystemFailure »

cord-factor

  • Newbie
  • *
  • Posts: 17
Re: Segmentation fault
« Reply #7 on: August 30, 2012, 12:17:11 PM »
Hi, SystemFailure.
There is already created ebuild request at Gentoo Bugzilla. Leave your wishes there. Maybe it will accelerate ebuild writing for 2.6 branch.